com.microfocus.awm.meta.interfaces

## Interface TAURUSConfiguration

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TAURUSConfigurationImpl

      public interface TAURUSConfiguration
      extends AWMObject

  The entry point of an AWM model configuration.

  The following features are supported:

  - `Application Options`
  - `Function Packages`
  - `ID Definitions`
  - `Action Descriptors`
  - `Global Actions`
  - `Element Types`
  - `Element List Structures`
  - `File Descriptors`
  - `Filter Types`
  - `Properties`
  - `Tool Descriptors`
  - `Icons`
  See Also:
    `TaurusPackage.getTAURUSConfiguration()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CActionDescriptors` | `getActionDescriptors()` Returns the value of the 'Action Descriptors' containment reference.
    `ApplicationOptions` | `getApplicationOptions()` Returns the value of the 'Application Options' containment reference.
    `CElementListStructures` | `getElementListStructures()` Returns the value of the 'Element List Structures' containment reference.
    `CElementTypes` | `getElementTypes()` Returns the value of the 'Element Types' containment reference.
    `CFileDescriptors` | `getFileDescriptors()` Returns the value of the 'File Descriptors' containment reference.
    `CFilterTypes` | `getFilterTypes()` Returns the value of the 'Filter Types' containment reference.
    `CFunctionPackages` | `getFunctionPackages()` Returns the value of the 'Function Packages' containment reference.
    `CGlobalActions` | `getGlobalActions()` Returns the value of the 'Global Actions' containment reference.
    `CIcons` | `getIcons()` Returns the value of the 'Icons' containment reference.
    `CIDDefinitions` | `getIDDefinitions()` Returns the value of the 'ID Definitions' containment reference.
    `CProperties` | `getProperties()` Returns the value of the 'Properties' containment reference.
    `CToolDescriptors` | `getToolDescriptors()` Returns the value of the 'Tool Descriptors' containment reference.
    `void` | `setActionDescriptors(CActionDescriptors value)` Sets the value of the '`Action Descriptors`' containment reference.
    `void` | `setApplicationOptions(ApplicationOptions value)` Sets the value of the '`Application Options`' containment reference.
    `void` | `setElementListStructures(CElementListStructures value)` Sets the value of the '`Element List Structures`' containment reference.
    `void` | `setElementTypes(CElementTypes value)` Sets the value of the '`Element Types`' containment reference.
    `void` | `setFileDescriptors(CFileDescriptors value)` Sets the value of the '`File Descriptors`' containment reference.
    `void` | `setFilterTypes(CFilterTypes value)` Sets the value of the '`Filter Types`' containment reference.
    `void` | `setFunctionPackages(CFunctionPackages value)` Sets the value of the '`Function Packages`' containment reference.
    `void` | `setGlobalActions(CGlobalActions value)` Sets the value of the '`Global Actions`' containment reference.
    `void` | `setIcons(CIcons value)` Sets the value of the '`Icons`' containment reference.
    `void` | `setIDDefinitions(CIDDefinitions value)` Sets the value of the '`ID Definitions`' containment reference.
    `void` | `setProperties(CProperties value)` Sets the value of the '`Properties`' containment reference.
    `void` | `setToolDescriptors(CToolDescriptors value)` Sets the value of the '`Tool Descriptors`' containment reference.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getApplicationOptions

          ApplicationOptions getApplicationOptions()

      Returns the value of the 'Application Options' containment reference. Reference to the application options of the AWM model.
      Returns:
        the value of the 'Application Options' containment reference.
      See Also:
        `setApplicationOptions(ApplicationOptions)`, `TaurusPackage.getTAURUSConfiguration_ApplicationOptions()`

    - #### setApplicationOptions

          void setApplicationOptions(ApplicationOptions value)

      Sets the value of the '`Application Options`' containment reference.
      Parameters:
        `value` - the new value of the 'Application Options' containment reference.
      See Also:
        `getApplicationOptions()`

    - #### getFunctionPackages

          CFunctionPackages getFunctionPackages()

      Returns the value of the 'Function Packages' containment reference. Reference to the function packages used in the AWM model.
      Returns:
        the value of the 'Function Packages' containment reference.
      See Also:
        `setFunctionPackages(CFunctionPackages)`, `TaurusPackage.getTAURUSConfiguration_FunctionPackages()`

    - #### setFunctionPackages

          void setFunctionPackages(CFunctionPackages value)

      Sets the value of the '`Function Packages`' containment reference.
      Parameters:
        `value` - the new value of the 'Function Packages' containment reference.
      See Also:
        `getFunctionPackages()`

    - #### getIDDefinitions

          CIDDefinitions getIDDefinitions()

      Returns the value of the 'ID Definitions' containment reference. Referenece to the ID definitions used in the AWM model.
      Returns:
        the value of the 'ID Definitions' containment reference.
      See Also:
        `setIDDefinitions(CIDDefinitions)`, `TaurusPackage.getTAURUSConfiguration_IDDefinitions()`

    - #### setIDDefinitions

          void setIDDefinitions(CIDDefinitions value)

      Sets the value of the '`ID Definitions`' containment reference.
      Parameters:
        `value` - the new value of the 'ID Definitions' containment reference.
      See Also:
        `getIDDefinitions()`

    - #### getActionDescriptors

          CActionDescriptors getActionDescriptors()

      Returns the value of the 'Action Descriptors' containment reference. Reference to the action descriptors used in the AWM model.
      Returns:
        the value of the 'Action Descriptors' containment reference.
      See Also:
        `setActionDescriptors(CActionDescriptors)`, `TaurusPackage.getTAURUSConfiguration_ActionDescriptors()`

    - #### setActionDescriptors

          void setActionDescriptors(CActionDescriptors value)

      Sets the value of the '`Action Descriptors`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Descriptors' containment reference.
      See Also:
        `getActionDescriptors()`

    - #### getGlobalActions

          CGlobalActions getGlobalActions()

      Returns the value of the 'Global Actions' containment reference. Reference to the global actions used in the AWM model.
      Returns:
        the value of the 'Global Actions' containment reference.
      See Also:
        `setGlobalActions(CGlobalActions)`, `TaurusPackage.getTAURUSConfiguration_GlobalActions()`

    - #### setGlobalActions

          void setGlobalActions(CGlobalActions value)

      Sets the value of the '`Global Actions`' containment reference.
      Parameters:
        `value` - the new value of the 'Global Actions' containment reference.
      See Also:
        `getGlobalActions()`

    - #### getElementTypes

          CElementTypes getElementTypes()

      Returns the value of the 'Element Types' containment reference. Reference to the element types used in the AWM model.
      Returns:
        the value of the 'Element Types' containment reference.
      See Also:
        `setElementTypes(CElementTypes)`, `TaurusPackage.getTAURUSConfiguration_ElementTypes()`

    - #### setElementTypes

          void setElementTypes(CElementTypes value)

      Sets the value of the '`Element Types`' containment reference.
      Parameters:
        `value` - the new value of the 'Element Types' containment reference.
      See Also:
        `getElementTypes()`

    - #### getElementListStructures

          CElementListStructures getElementListStructures()

      Returns the value of the 'Element List Structures' containment reference. Reference to the element list structures used in the AWM model.
      Returns:
        the value of the 'Element List Structures' containment reference.
      See Also:
        `setElementListStructures(CElementListStructures)`, `TaurusPackage.getTAURUSConfiguration_ElementListStructures()`

    - #### setElementListStructures

          void setElementListStructures(CElementListStructures value)

      Sets the value of the '`Element List Structures`' containment reference.
      Parameters:
        `value` - the new value of the 'Element List Structures' containment reference.
      See Also:
        `getElementListStructures()`

    - #### getFileDescriptors

          CFileDescriptors getFileDescriptors()

      Returns the value of the 'File Descriptors' containment reference. Reference to the file descriptors used in the AWM model.
      Returns:
        the value of the 'File Descriptors' containment reference.
      See Also:
        `setFileDescriptors(CFileDescriptors)`, `TaurusPackage.getTAURUSConfiguration_FileDescriptors()`

    - #### setFileDescriptors

          void setFileDescriptors(CFileDescriptors value)

      Sets the value of the '`File Descriptors`' containment reference.
      Parameters:
        `value` - the new value of the 'File Descriptors' containment reference.
      See Also:
        `getFileDescriptors()`

    - #### getFilterTypes

          CFilterTypes getFilterTypes()

      Returns the value of the 'Filter Types' containment reference. Reference to the filter types used in the AWM model.
      Returns:
        the value of the 'Filter Types' containment reference.
      See Also:
        `setFilterTypes(CFilterTypes)`, `TaurusPackage.getTAURUSConfiguration_FilterTypes()`

    - #### setFilterTypes

          void setFilterTypes(CFilterTypes value)

      Sets the value of the '`Filter Types`' containment reference.
      Parameters:
        `value` - the new value of the 'Filter Types' containment reference.
      See Also:
        `getFilterTypes()`

    - #### getProperties

          CProperties getProperties()

      Returns the value of the 'Properties' containment reference. Reference to the properties used in the AWM model.
      Returns:
        the value of the 'Properties' containment reference.
      See Also:
        `setProperties(CProperties)`, `TaurusPackage.getTAURUSConfiguration_Properties()`

    - #### setProperties

          void setProperties(CProperties value)

      Sets the value of the '`Properties`' containment reference.
      Parameters:
        `value` - the new value of the 'Properties' containment reference.
      See Also:
        `getProperties()`

    - #### getToolDescriptors

          CToolDescriptors getToolDescriptors()

      Returns the value of the 'Tool Descriptors' containment reference. Reference to the tool descriptors used in the AWM model.
      Returns:
        the value of the 'Tool Descriptors' containment reference.
      See Also:
        `setToolDescriptors(CToolDescriptors)`, `TaurusPackage.getTAURUSConfiguration_ToolDescriptors()`

    - #### setToolDescriptors

          void setToolDescriptors(CToolDescriptors value)

      Sets the value of the '`Tool Descriptors`' containment reference.
      Parameters:
        `value` - the new value of the 'Tool Descriptors' containment reference.
      See Also:
        `getToolDescriptors()`

    - #### getIcons

          CIcons getIcons()

      Returns the value of the 'Icons' containment reference. Reference to the icons used in the AWM model.
      Returns:
        the value of the 'Icons' containment reference.
      See Also:
        `setIcons(CIcons)`, `TaurusPackage.getTAURUSConfiguration_Icons()`

    - #### setIcons

          void setIcons(CIcons value)

      Sets the value of the '`Icons`' containment reference.
      Parameters:
        `value` - the new value of the 'Icons' containment reference.
      See Also:
        `getIcons()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.